=== debian/changelog ===
svgalib (1:1.4.3-31) unstable; urgency=low

  * Fix upstream installation of setuid programs and exclude them from
    dh_fixperms instead of restoring the permissions afterwards. This fixes
    a build failure when the utilities are not built. (Closes: #623747)
  * Now using Standards-Version 3.9.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Wed, 04 May 2011 06:41:22 +0200

svgalib (1:1.4.3-30) unstable; urgency=low

  * Now using Standards-Version 3.9.1 (no changes needed).
  * Use architecture wildcards:
    - Use linux-any instead of any in binary package Architecture fields.
    - Use any-amd64 and any-i386 in libx86-dev Build-Depends architecture
      restrictions.
  * Port svgalib to GNU/kFreeBSD:
    - Use portable termios instead of termio.
    - Use VT_GETACTIVE instead of VT_GETSTATE on kFreeBSD.
    - Only use c_line member in struct termios on Linux.
    - Handle systems with no SIGPWR.
    - Implement __svgalib_physmem for kFreeBSD.
    Thanks to Tuco <tuco.xyz@gmail.com>. (Closes: #291082, #591721)
    - Define IUCLC to 0 if not pre-defined.
    - Error out if there's no known way to get the current VT active state.
    - Add kfreebsd-any to binary package Architecture fields.
  * Add ${misc:Depends} substvars to all binary package Depends fields.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Sep 2010 13:52:51 +0200

svgalib (1:1.4.3-29) unstable; urgency=low

  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.

 -- Guillem Jover <guillem@debian.org>  Wed, 02 Dec 2009 20:15:51 +0100

svgalib (1:1.4.3-28) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Add support for LSB status action on init scripts.
  * Now using Standards-Version 3.8.3 (no changes needed).
  * Try to use the system's round function instead of locally defining it,
    to fix a build failure with newer eglibc 2.10 which expose it by defualt.
    - debian/patches/041_use_system_round.patch: New file.
    (Closes: #550775)
  * Fix LSB init dependency header:
    - Remove $local_fs from Required-Stop as we don't do anything on stop.
    - Switch from $local_fs to $remote_fs as we use scripts from /usr.
  * Do not “set -e” on the init script as log_action_end_msg relies on the
    exit code of the command, be it success or failure.
  * Remove long obsolete svgalibg1-dev and svgalibg1 packages.
    (Closes: #322068, #477539)
  * Add lintian overrides for suid-root programs in svgalib-bin as those
    cannot work at all w/o them.
  * Fix typo in svgalib.7 man page (.RH → .RE) that was producing a warning.
    - debian/patches/030_manpages_typos.patch: Update.

 -- Guillem Jover <guillem@debian.org>  Tue, 13 Oct 2009 03:30:24 +0200

svgalib (1:1.4.3-27) unstable; urgency=low

  * Add a Homepage field.
  * Add Vcs-Browser and Vcs-Git fields.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Refresh patches with -pab.
  * Remove DPATCHLEVEL variable from patches.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 10:04:23 +0300

svgalib (1:1.4.3-26) unstable; urgency=low

  * Fix typos in man pages. (Closes: #482003, #482004, #482005, #482006)
    - debian/patches/030_manpages_typos.patch: Update.
    Thanks to A. Costa <agcosta@gis.net>.
  * Expand shell glob for install* targets in debian/rules.

 -- Guillem Jover <guillem@debian.org>  Thu, 29 May 2008 05:55:06 +0300

svgalib (1:1.4.3-25) unstable; urgency=low

  * Remove Tag fields, those are better maintained outside the package.
  * Use binary:Version substvar instead of deprecated Source-Version.
  * Remove ancient Conflicts and Replaces on suidmanager, svgalib-bin,
    svgalib, svgalib1, svgalibg1, svgalib1-dev, svgalib-dev, svgalib-dummy1
    and svgalib-dummyg1.
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Enable debian/patches/030_manpages_typos.patch, which got disabled during
    the transition to quilt.
  * Fix typo in svgalib.7 (it's -> its). (Closes: #443730)
    Thanks to Justin Pryzby <justinpryzby@users.sourceforge.net>.
  * Use external libx86 instead of embedded LRMI code to support VESA driver
    on !i386 architectures (for now only amd64). (Closes: #380710)
    - debian/patches/040_x86emu.patch: New file.
    Based on a patch by Matthew Garrett <mjg59@srcf.ucam.org>.
  * Port svgalib to non-i386/amd64 architectures:
    - Disable all io based drivers for architectures other than alpha, amd64
      and i386, and only enable fbdev on the rest.
    - Switch package Architecture fields to any.
    - Only suid root existing binaries for svgalib-bin.
    - debian/patches/026_amd64.patch: Move asm fixes to ...
    - debian/patches/029_binutils-2.16.patch: ... here.
    - debian/patches/026_amd64.patch: Rename to ...
    - debian/patches/026_port_non_ia32.patch: ... this. Update.

 -- Guillem Jover <guillem@debian.org>  Wed, 19 Dec 2007 06:25:07 +0200

svgalib (1:1.4.3-24) unstable; urgency=low

  * Switched to quilt:
    - Add new debian/patches/series file.
    - Add Build-Depends on 'quilt (>= 0.40)'.
    - Include quilt.make from debian/rules and remove patch and unpatch
      targets.
    - Remove now unused debian/patch.mk.
  * Change default mouse device to '/dev/input/mice'. (Closes: #351799)
    - debian/patches/031_mouse_input.patch: New file.
  * Remove the leftover mouse saved config snippet from old versions of
    the package. (Closes: #377063)
  * Add a Tag: field to the binary package, using the data from debtags.
  * Add an LSB description header to the init script.

 -- Guillem Jover <guillem@debian.org>  Mon,  6 Nov 2006 04:55:15 +0200

svgalib (1:1.4.3-23) unstable; urgency=low

  * Remove libsvga1.postinst and libsvga1.prerm, as they were modifying

