=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
http://www.svgalib.org/svgalib-([\d.]*)\.tar\.gz	debian	uupdate
